DevExtreme jQuery/JS - Overview
A series point is a visual representation of one or several data objects. Series points can have different shapes and sizes depending on the series types.
For those series whose points are simple dots (Range Area and Scatter, all line and area series), point-related settings are collected in the point object. This object can be declared as follows.
- $(function() {
- $("#chartContainer").dxChart({
- // ...
- series: [{
- point: {
- // Settings for all points of an individual series
- }
- }, {
- // ...
- }],
- commonSeriesSettings: {
- point: {
- // Settings for all points of all series
- }
- }
- });
- });
A dedicated object is not provided for series whose points have a distinctive appearance (Range Bar and Bubble, all bar and financial series), and all point-related settings are declared directly in the series or commonSeriesSettings object. Refer to the description of a particular series type in the Series Types section of the API reference for more details on the available settings.
Settings specified in the manner described above apply to a congregation of series points. If you need to customize an individual point, assign a function to the customizePoint option. This function must return an object with options for the point that you want to customize.
- $(function() {
- $("#chartContainer").dxChart({
- // ...
- series: {
- point: {
- color: 'blue'
- }
- },
- // Assigns the red color to all series points with value more than 100
- // Other series points remain painted in blue
- customizePoint: function (pointInfo) {
- return pointInfo.value > 100 ? { color: 'red' } : { }
- }
- });
- });
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Overview
A series point is a visual representation of one or several data objects. Series points can have different shapes and sizes depending on the series types.

For those series whose points are simple dots (Range Area and Scatter, all line and area series), point-related settings are collected in the point object. This object can be declared as follows.
jQuery
$(function() {
    $("#chartContainer").dxChart({
        // ...
        series: [{
            point: {
                // Settings for all points of an individual series
            }
        }, {
            // ...  
        }],
        commonSeriesSettings: {
            point: {
                // Settings for all points of all series
            }
        }
    });
});Angular
<dx-chart ... >
    <dxi-series>
        <dxo-point ... >
            <!-- Settings for all points of an individual series -->
        </dxo-point>
    </dxi-series>
    <dxo-common-series-settings ... >
        <dxo-point ... >
            <!-- Settings for all points of all series -->
        </dxo-point>
    </dxo-common-series-settings>
</dx-chart>
import { DxChartModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
    imports: [
        // ...
        DxChartModule
    ],
    // ...
})Vue
<template> 
    <DxChart ... >
        <DxSeries>
            <DxPoint ... >
                <!-- Settings for all points of an individual series -->
            </DxPoint>
        </DxSeries>
        <DxCommonSeriesSettings ... >
            <DxPoint ... >
                <!-- Settings for all points of all series -->
            </DxPoint>
        </DxCommonSeriesSettings>
    </DxChart>
</template>
<script>
import DxChart, {
    DxCommonSeriesSettings,
    DxSeries,
    DxPoint
} from 'devextreme-vue/chart';
export default {
    components: {
        DxChart,
        DxCommonSeriesSettings,
        DxSeries,
        DxPoint
    }
}
</script>React
import React from 'react';
import Chart, {
    CommonSeriesSettings,
    Series,
    Point
} from 'devextreme-react/chart';
class App extends React.Component {
    render() {
        return (
            <Chart ... >
                <Series>
                    <Point ... >
                        {/* Settings for all points of an individual series */}
                    </Point>
                </Series>
                <CommonSeriesSettings ... >
                    <Point ... >
                        {/* Settings for all points of all series */}
                    </Point>
                </CommonSeriesSettings>
            </Chart>
        );
    }
}
export default App;A dedicated object is not provided for series whose points have a distinctive appearance (Range Bar and Bubble, all bar and financial series), and all point-related settings are declared directly in the series or commonSeriesSettings object. Refer to the description of a particular series type in the Series Types section of the API reference for more details on the available settings.
Settings specified in the manner described above apply to a congregation of series points. If you need to customize an individual point, assign a function to the customizePoint option. This function must return an object with options for the point that you want to customize.
jQuery
$(function() {
    $("#chartContainer").dxChart({
        // ...
        series: {
            point: {
                color: 'blue'
            }
        },
        // Assigns the red color to all series points with value more than 100
        // Other series points remain painted in blue
        customizePoint: function (pointInfo) {
            return pointInfo.value > 100 ? { color: 'red' } : { }
        }
    });
});Angular
<dx-chart
    [customizePoint]="customizePoint">
    <dxi-series>
        <dxo-point color="blue" ></dxo-point>
    </dxi-series>
</dx-chart>
import { DxChartModule } from "devextreme-angular";
// ...
export class AppComponent {
    // Assigns the red color to all series points with value more than 100
    // Other series points remain painted in blue
    customizePoint (pointInfo: any) {
        return pointInfo.value > 100 ? { color: 'red' } : { }
    };
}
@NgModule({
    imports: [
        // ...
        DxChartModule
    ],
    // ...
})Vue
<template> 
    <DxChart
        :customize-point="customizePoint"
        ...
    >
        <DxSeries>
            <DxPoint color="blue"/>
        </DxSeries>
    </DxChart>
</template>
<script>
import DxChart, {
    DxSeries,
    DxPoint
} from 'devextreme-vue/chart';
export default {
    components: {
        DxChart,
        DxSeries,
        DxPoint
    },
    methods: {
        // Assigns the red color to all series points with value more than 100
        // Other series points remain painted in blue
        customizePoint (pointInfo: any) {
            return pointInfo.value > 100 ? { color: 'red' } : { }
        }
    }
}
</script>React
import React from 'react';
import Chart, {
    Series,
    Point
} from 'devextreme-react/chart';
class App extends React.Component {
    render() {
        return (
            <Chart
                customizePoint={this.customizePoint}
                ...
            >
                <Series>
                    <Point color="blue" />
                </Series>
            </Chart>
        );
    }
    // Assigns the red color to all series points with value more than 100
    // Other series points remain painted in blue
    customizePoint (pointInfo: any) {
        return pointInfo.value > 100 ? { color: 'red' } : { }
    }
}
export default App;See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme Angular - Overview

A series point is a visual representation of a data object. Series points come in many shapes and sizes because of the different nature of series types.

DevExtreme HTML5 JavaScript Charts SeriesPoints

For those series whose points are simple dots (Range Area and Scatter, all line and area series), point-related settings are collected in the point object. This object can be declared as follows.

HTML
TypeScript
  • <dx-chart ... >
  • <dxi-series>
  • <dxo-point ... >
  • <!-- Settings for all points of an individual series -->
  • </dxo-point>
  • </dxi-series>
  • <dxo-common-series-settings ... >
  • <dxo-stackedline> <!-- or any other series type -->
  • <dxo-point ... >
  • <!-- Settings for all points belonging to Stacked Line series -->
  • </dxo-point>
  • </dxo-stackedline>
  • <dxo-point ... >
  • <!-- Settings for all points of all series -->
  • </dxo-point>
  • </dxo-common-series-settings>
  • </dx-chart>
  • import { DxChartModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxChartModule
  • ],
  • // ...
  • })

For those series whose points have distinctive appearance (Range Bar and Bubble, all bar and financial series), a dedicated object is not provided, and all point-related settings are declared directly in the series, %seriesType%, or commonSeriesSettings object. For details on available settings, refer to the description of a particular series type in the Series Types section of the API reference.

NOTE
Individual settings override type-specific settings which, in turn, override common settings.

Settings specified in the manner described above apply to a congregation of series points. If you need to customize an individual point, assign a function to the customizePoint option. This function must return an object with options for the point that you want to customize.

HTML
TypeScript
  • <dx-chart
  • [customizePoint]="customizePoint">
  • <dxi-series>
  • <dxo-point color="blue" ></dxo-point>
  • </dxi-series>
  • </dx-chart>
  • import { DxChartModule } from 'devextreme-angular';
  • // ...
  • export class AppComponent {
  • // Assigns the red color to all series points with value more than 100
  • // Other series points remain painted in blue
  • customizePoint (pointInfo: any) {
  • return pointInfo.value > 100 ? { color: 'red' } : { }
  • };
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxChartModule
  • ],
  • // ...
  • })

View Demo

See Also

DevExtreme Vue - Overview
A series point is a visual representation of one or several data objects. Series points can have different shapes and sizes depending on the series types.
For those series whose points are simple dots (Range Area and Scatter, all line and area series), point-related settings are collected in the point object. This object can be declared as follows.
- <template>
- <DxChart ... >
- <DxSeries>
- <DxPoint ... >
- <!-- Settings for all points of an individual series -->
- </DxPoint>
- </DxSeries>
- <DxCommonSeriesSettings ... >
- <DxPoint ... >
- <!-- Settings for all points of all series -->
- </DxPoint>
- </DxCommonSeriesSettings>
- </DxChart>
- </template>
- <script>
- import DxChart, {
- DxCommonSeriesSettings,
- DxSeries,
- DxPoint
- } from 'devextreme-vue/chart';
- export default {
- components: {
- DxChart,
- DxCommonSeriesSettings,
- DxSeries,
- DxPoint
- }
- }
- </script>
A dedicated object is not provided for series whose points have a distinctive appearance (Range Bar and Bubble, all bar and financial series), and all point-related settings are declared directly in the series or commonSeriesSettings object. Refer to the description of a particular series type in the Series Types section of the API reference for more details on the available settings.
Settings specified in the manner described above apply to a congregation of series points. If you need to customize an individual point, assign a function to the customizePoint option. This function must return an object with options for the point that you want to customize.
- <template>
- <DxChart
- :customize-point="customizePoint"
- ...
- >
- <DxSeries>
- <DxPoint color="blue"/>
- </DxSeries>
- </DxChart>
- </template>
- <script>
- import DxChart, {
- DxSeries,
- DxPoint
- } from 'devextreme-vue/chart';
- export default {
- components: {
- DxChart,
- DxSeries,
- DxPoint
- },
- methods: {
- // Assigns the red color to all series points with value more than 100
- // Other series points remain painted in blue
- customizePoint (pointInfo: any) {
- return pointInfo.value > 100 ? { color: 'red' } : { }
- }
- }
- }
- </script>
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.